CC=ch dlcomp
LD=ch dllink
INC1=-I/usr/include
INC2=-I/usr/ch/extern/include
target: libcallchvla.dl

libcallchvla.dl: Makefile callchvla2d.o callchvlaNd.o
	$(LD) libcallchvla.dl callchvla2d.o callchvlaNd.o

callchvla2d.o: callchvla2d.c 
	$(CC) libcallchvla.dl callchvla2d.c $(INC1) $(INC2)
callchvlaNd.o: callchvlaNd.c 
	$(CC) libcallchvla.dl callchvlaNd.c $(INC1) $(INC2)

clear:
	rm -f  *.o *.dl
